#!/bin/bash

metfile="US-Ha1_met_forcing.txt"
drvfile="US-Ha1_drivers.csv"
radfile="rad.dat"
co2file="co2.dat"
tnfile="tmin.dat"
txfile="tmax.dat"

# delete header
awk 'NR>2 {print $0}' ${metfile} > ${drvfile}

# extract radiation data
awk '{sum += $14}!(NR % 24){printf("%g\n", sum*3.6/1000); sum = 0}' ${drvfile} > ${radfile}

# extract daily CO2 concentration
awk '{sum += $18}!(NR % 24){printf("%g\n", sum/24.0); sum = 0}' ${drvfile} > ${co2file}

# extract Tmin and Tmax (in degrees C)
awk 'BEGIN {tmin=500} {if ($4<tmin) {tmin=$4}}!(NR % 24){printf("%g\n", tmin-273.15); tmin=500}' ${drvfile} > ${tnfile}
awk 'BEGIN {tmax=200} {if ($4>tmax) {tmax=$4}}!(NR % 24){printf("%g\n", tmax-273.15); tmax=200}' ${drvfile} > ${txfile}

paste ${tnfile} ${txfile} ${radfile} ${co2file} | awk '{print NR"  "$0}' > ${drvfile}

/bin/rm ${tnfile} ${txfile} ${radfile} ${co2file}
exit

