#!/bin/bash

if [ "$#" -ne 2 ]; then
	echo "usage $0 runtype ndiag"
	echo "      runtype: dst/dtr"
	echo "      ndiag  : 4/6/8/10/12"
	exit
fi

wdir=${PWD}
runtype=$1
if [ "$runtype" == "dst" ]; then
  npar=18
  dflags=""
elif [ "$runtype" == "dtr" ]; then
  npar=23
  dflags=""
elif [ "$runtype" == "dtrup" ]; then
  npar=23
  dflags="-DNOPLSPRIOR"
else
  echo "Unknown runtype: $1"
fi
ndiag=$2

# set directories
wdir=${PWD}
srcdir=${wdir}/../../lib/dalec
datdir=${wdir}/../../data
rundir=${wdir}/${runtype}_d${ndiag}

# build executable
cd ${srcdir}
make -f makefile.cln
make -f makefile.cal MODERR=MODERRCORRB PRSET=INFORM NDIAG=${ndiag} NPAR=${npar} DFLAGS=${dflags}
cd ${wdir}

# copy things to run directory
cd ${rundir}
/bin/cp ${srcdir}/dalec_cal.exe        .
ln -fs  ${datdir}/US-Ha1_NEE_daily.txt .
ln -fs  ${datdir}/US-Ha1_drivers.csv   .
./dalec_cal.exe >& log_${runtype}_d${ndiag}.txt &
cd ${wdir}
